Add Approver

Adds an approver to the invoice template. Will select the first available approver slot that is not already filled and assign the approver to it. If no approver slots are available, an error will be returned. An explicit approver slot can be specified by setting the approverSlot field.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

invoiceTemplateIdstringRequired
Invoice Template ID

Request

This endpoint expects an object.
userIdstringRequired
The ID or the Foreign ID of the user to add to the approval slot.
approvalSlotIdstringOptional
The identifier for the approval slot this user is assigned to.

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented